SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Oracle Java SE Vendors:   Oracle, Sun
(Red Hat Issues Fix) Oracle Java SE Bugs Let Remote Users Access and Modify Data, Deny Service, and Gain Elevated Privileges and Remote and Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1038462
SecurityTracker URL:  http://securitytracker.com/id/1038462
CVE Reference:   CVE-2017-3509, CVE-2017-3533, CVE-2017-3539, CVE-2017-3544   (Links to External Site)
Date:  May 11 2017
Impact:   Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 6u141, 7u131, 8u121
Description:   Multiple vulnerabilities were reported in Oracle Java SE. A remote user can access and modify data on the target system. A remote user can cause denial of service conditions on the target system. A remote or local user can obtain elevated privileges on the target system.

A remote user can exploit a flaw in the AWT component to gain elevated privileges [CVE-2017-3512, CVE-2017-3514].

A local user can exploit a flaw in the JCE component to gain elevated privileges [CVE-2017-3511].

A remote user can exploit a flaw in the JAXP component to cause denial of service conditions [CVE-2017-3526].

A remote user can exploit a flaw in the Networking component to partially access and partially modify data [CVE-2017-3509].

A remote user can exploit a flaw in the Networking component to partially modify data [CVE-2017-3533, CVE-2017-3544].

A remote user can exploit a flaw in the Security component to partially modify data [CVE-2017-3539].

An Anonymous researcher (via Beyond Security's SecuriTeam Secure Disclosure Program), Florian Bogner, and Moritz Bechler reported some of these vulnerabilities.

Impact:   A remote user can obtain data on the target system.

A remote user can modify data on the target system.

A remote user can cause denial of service conditions.

A local user can obtain elevated privileges on the target system.

A remote user can gain elevated privileges on the target system.

Solution:   Red Hat has issued a fix for CVE-2017-3509, CVE-2017-3533, CVE-2017-3539, and CVE-2017-3544 for java-1.6.0-ibm.

The Red Hat advisory is available at:

https://access.redhat.com/errata/RHSA-2017:1222

Vendor URL:  access.redhat.com/errata/RHSA-2017:1222 (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  6

Message History:   This archive entry is a follow-up to the message listed below.
Apr 19 2017 Oracle Java SE Bugs Let Remote Users Access and Modify Data, Deny Service, and Gain Elevated Privileges and Remote and Local Users Gain Elevated Privileges



 Source Message Contents

Subject:  [RHSA-2017:1222-01] Moderate: java-1.6.0-ibm security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: java-1.6.0-ibm security update
Advisory ID:       RHSA-2017:1222-01
Product:           Red Hat Enterprise Linux Supplementary
Advisory URL:      https://access.redhat.com/errata/RHSA-2017:1222
Issue date:        2017-05-10
CVE Names:         CVE-2016-9840 CVE-2016-9841 CVE-2016-9842 
                   CVE-2016-9843 CVE-2017-1289 CVE-2017-3509 
                   CVE-2017-3533 CVE-2017-3539 CVE-2017-3544 
=====================================================================

1. Summary:

An update for java-1.6.0-ibm is now available for Red Hat Enterprise Linux
6 Supplementary.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Desktop Supplementary (v. 6) - i386, x86_64
Red Hat Enterprise Linux HPC Node Supplementary (v. 6) - x86_64
Red Hat Enterprise Linux Server Supplementary (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation Supplementary (v. 6) - i386, x86_64

3. Description:

IBM Java SE version 6 includes the IBM Java Runtime Environment and the IBM
Java Software Development Kit.

This update upgrades IBM Java SE 6 to version 6 SR16-FP45.

Security Fix(es):

* This update fixes multiple vulnerabilities in the IBM Java Runtime
Environment and the IBM Java Software Development Kit. Further information
about these flaws can be found on the IBM Java Security Vulnerabilities
page, listed in the References section. (CVE-2016-9840, CVE-2016-9841,
CVE-2016-9842, CVE-2016-9843, CVE-2017-1289, CVE-2017-3509, CVE-2017-3533,
CVE-2017-3539, CVE-2017-3544)

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

All running instances of IBM Java must be restarted for this update to take
effect.

5. Bugs fixed (https://bugzilla.redhat.com/):

1402345 - CVE-2016-9840 zlib: Out-of-bounds pointer arithmetic in inftrees.c
1402346 - CVE-2016-9841 zlib: Out-of-bounds pointer arithmetic in inffast.c
1402348 - CVE-2016-9842 zlib: Undefined left shift of negative number
1402351 - CVE-2016-9843 zlib: Big-endian out-of-bounds pointer
1443052 - CVE-2017-3509 OpenJDK: improper re-use of NTLM authenticated connections (Networking, 8163520)
1443068 - CVE-2017-3544 OpenJDK: newline injection in the SMTP client (Networking, 8171533)
1443083 - CVE-2017-3533 OpenJDK: newline injection in the FTP client (Networking, 8170222)
1443097 - CVE-2017-3539 OpenJDK: MD5 allowed for jar verification (Security, 8171121)
1449603 - CVE-2017-1289 IBM JDK: XML External Entity Injection (XXE) error when processing XML data

6. Package List:

Red Hat Enterprise Linux Desktop Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.i686.rpm

x86_64:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm

Red Hat Enterprise Linux HPC Node Supplementary (v. 6):

x86_64:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm

Red Hat Enterprise Linux Server Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.i686.rpm

ppc64:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.ppc64.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.ppc64.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.ppc64.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.ppc64.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.ppc64.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.ppc64.rpm

s390x:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.s390x.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.s390x.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.s390x.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.s390x.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.s390x.rpm

x86_64:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm

Red Hat Enterprise Linux Workstation Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.16.45-1jpp.1.el6_9.i686.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.i686.rpm

x86_64:
java-1.6.0-ibm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.16.45-1jpp.1.el6_9.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2016-9840
https://access.redhat.com/security/cve/CVE-2016-9841
https://access.redhat.com/security/cve/CVE-2016-9842
https://access.redhat.com/security/cve/CVE-2016-9843
https://access.redhat.com/security/cve/CVE-2017-1289
https://access.redhat.com/security/cve/CVE-2017-3509
https://access.redhat.com/security/cve/CVE-2017-3533
https://access.redhat.com/security/cve/CVE-2017-3539
https://access.redhat.com/security/cve/CVE-2017-3544
https://access.redhat.com/security/updates/classification/#moderate
https://developer.ibm.com/javasdk/support/security-vulnerabilities/

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2017 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFZExNdXlSAg2UNWIIRAkMaAKCg0d0cYrmQd4Qrx0ywKxPbV71x9wCeIoNq
cuW3HDm2eBB0IjxK/Or+xF8=
=zKQZ
-----END PGP SIGNATURE-----


--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC